xmltooling::CurlURLInputStream Class Reference

Adapted from Xerces-C as a more advanced input stream implementation for subsequent use in parsing remote documents. More...

`#include <xmltooling/util/CurlURLInputStream.h>`

Inheritance diagram for xmltooling::CurlURLInputStream:
[legend]
Collaboration diagram for xmltooling::CurlURLInputStream:
[legend]

## Public Member Functions

| CurlURLInputStream (const char *url, std::string *cacheTag=0)
| Constructor.
| CurlURLInputStream (const XMLCh *url, std::string *cacheTag=0)
| Constructor.
| CurlURLInputStream (const xercesc::DOMElement *e, std::string *cacheTag=0)
| Constructor taking a DOM element supporting the following content:
XMLFilePos | curPos () const
const XMLCh * | getContentType () const
XMLSize_t | readBytes (XMLByte *const toFill, const XMLSize_t maxToRead)
int | getOpenSSLOps () const
| Access the OpenSSL context options in place for this object.

## Detailed Description

Adapted from Xerces-C as a more advanced input stream implementation for subsequent use in parsing remote documents.

## Constructor & Destructor Documentation

## CurlURLInputStream() [1/3]

xmltooling::CurlURLInputStream::CurlURLInputStream | ( | const char * | url,
|  | std::string * | cacheTag = 0 )

Constructor.

Parameters

  url | the URL of the resource to fetch
  cacheTag | optional pointer to string used for cache management

## CurlURLInputStream() [2/3]

xmltooling::CurlURLInputStream::CurlURLInputStream | ( | const XMLCh * | url,
|  | std::string * | cacheTag = 0 )

Constructor.

Parameters

  url | the URL of the resource to fetch
  cacheTag | optional pointer to string used for cache management

## CurlURLInputStream() [3/3]

xmltooling::CurlURLInputStream::CurlURLInputStream | ( | const xercesc::DOMElement * | e,
|  | std::string * | cacheTag = 0 )

Constructor taking a DOM element supporting the following content:

uri | url
  identifies the remote resource
verifyHost
  true iff name of host should be matched against TLS/SSL certificate
TransportOption elements, like so:
  <TransportOption provider="CURL" option="150">0</TransportOption>

Parameters

  e | DOM to supply configuration
  cacheTag | optional pointer to string used for cache management

## Member Function Documentation

## getOpenSSLOps()

int xmltooling::CurlURLInputStream::getOpenSSLOps | ( |  | ) | const

inline

Access the OpenSSL context options in place for this object.

Returns
  bitmask suitable for use with SSL_CTX_set_options

The documentation for this class was generated from the following file:

- xmltooling/util/CurlURLInputStream.h